## org.codehaus.groovy.runtime
Class ScriptTestAdapter

An adapter to make any Groovy Script class an instance of a JUnit Test

version:
  $Revision: 6778 $

Field Summary
`def` | `arguments`
`Class` | `scriptClass`

Constructor Summary
`ScriptTestAdapter(Class scriptClass, def arguments)`

Method Summary
`int` | `countTestCases()`
`void` | `run(TestResult result)`
`String` | `toString()`

Constructor Detail

### ScriptTestAdapter

    public ScriptTestAdapter(Class scriptClass, def arguments)

Method Detail

### countTestCases

    public int countTestCases()

### run

    public void run(TestResult result)

### toString

    public String toString()